/* Utilities */

.h1 {
  font-weight: var(--fw-900);
  font-size: var(--fs-1000);
  line-height: 1.14;
}

h2 {
  margin-bottom: 0;
  color: var(--tertiary-clr-900);
}

/* End of Utilities */

/* Slider */
.range-slider-wrapper {
  margin-top: 1.5rem;
  padding: 1rem 1.25rem;
  background-color: var(--white-clr-850);
  border-radius: 100vw;
}

/* End of Slider */
/* Css Only Carousel */

/* End of Css Only Carousel */

.wrapper {
  --_max-width: 1600px;

  @media (width <=768px) {
    --_gap: 0px !important;
  }
}

/* Signin */
.link {
  color: var(--primary-clr);
  transition: all 180ms ease;
  display: block;

  &:hover {
    scale: 1.05;
    color: var(--secondary-clr);
  }
}

.signin {
  padding-bottom: clamp(2rem, 5vw, 3rem);
  position: relative;
}

.token-error {
  .btn-tertiary-900 {
    margin-bottom: 1rem;
  }
}

.signin-content {
  display: grid;
  gap: 1.5rem;

  .column:first-of-type {
    padding: 5.125rem 2.25rem;
    background-color: var(--white-clr);
    border: 1px solid var(--white-clr-800);
    border-radius: 3rem;

    > * {
      max-width: 500px;
      margin-inline: auto;
    }
  }

  @media (width<=600px) {
    .column:last-of-type {
      display: none;
    }
  }

  @media (600px<width <=1024px) {
    grid-template-rows: 320px 1fr;

    .column:last-of-type {
      grid-row: 1;
    }
  }

  @media (width > 1024px) {
    grid-template-columns: minmax(500px, 1fr) 1fr;
  }
}

.signin-header {
  margin-bottom: 1.5rem;

  text-align: center;

  h1 {
    max-width: 10ch;
    margin-inline: auto;
    font-family: Satoshi;
    font-weight: var(--fw-900);
    font-size: var(--fs-950);
    line-height: 1;
    color: var(--text-clr-700);
    text-transform: uppercase;
  }

  p {
    padding-block-start: var(--fs-600);
    color: var(--black-clr);
  }

  &.small {
    h1 {
      font-size: var(--fs-800);
    }
  }
}

.signin-form {
  > *:not(:last-child) {
    margin-bottom: 1.375rem;
  }

  .btn-pill {
    height: 56px;
  }
}

.forgot-password {
  width: fit-content;
  display: block;
  font-size: 0.875rem;
  text-decoration: underline;
  margin-block: 1rem 3.125rem;
  margin-inline: auto;
  color: #3a394b;
}

.or-text {
  --_or-text-spacing: 2rem;

  margin-block: 1.5rem 2rem;
  display: flex;
  gap: var(--_or-text-spacing);
  isolation: isolate;

  &::before,
  &::after {
    content: "";
    display: block;
    margin-block: auto;
    width: 100%;
    height: 0px;
    border-bottom: 1px solid #e0e0e0;
  }
}

.btn-signin-socials {
  /* margin-block: 1rem; */
  display: flex;
  /* flex-direction: column; */
  align-items: center;
  justify-content: center;
  width: fit-content;
  gap: 1rem;
}

.btn-signin-social {
  --_btn-icon-clr: var(--white-clr);
  --_btn-icon-txt-clr: var(--black-clr);

  width: 100%;
  /* padding: 0.75rem 1.125rem; */
  padding: 0.5rem;
  line-height: 1;
  display: flex;
  align-items: center;
  gap: 0.875rem;
  border-radius: 50%;
  border: 1px solid #ffc5e5;
  background-color: var(--white-clr);
  min-width: 0 !important;
  color: var(--black-clr);
  font-family: var(--ff-roboto);
  font-weight: 400;
  font-size: 0.875rem;
  line-height: 1;
  transition: box-shadow 300ms ease;

  &:hover {
    box-shadow: 0 6px 12px hsl(from var(--text-clr-700) h s l / 0.15);
  }

  .iconify {
    font-size: var(--fs-650);
  }

  .btn-text {
    display: none;
  }
}

.signin-footer {
  margin-top: 3rem;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  gap: 0.25rem;

  font-weight: var(--fw-500);
  font-size: var(--fs-400);
  line-height: 1;

  a {
    font-weight: var(--fw-700);
    color: var(--secondary-clr-900);
    transition: text-decoration 180ms ease;

    &:hover {
      text-decoration: underline;
    }
  }
}

.signin-img {
  height: 100%;
  border: 1px solid #ffffff;
  border-radius: 2.25rem;

  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: inherit;
  }
}

/* End of Signin */
